<?php
namespace Claromentis\Infocapture\UI;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_d3b2122e727" . "b24e3029add8" . "7aa541df6" => base64_decode("aW5mb2NhcHR1cmUvVUkvYWxsX3JlcG9yd" . "HNfaWNvbi5odG1s"), "_b6994edb19ee8e38970be4ca846e3" . "33a" => base64_decode("YWxsX3JlcG9ydHNfbG" . "lua3MudmlzaWJsZQ=="));
use TemplaterComponentTmpl;








class AllReportsIcon extends TemplaterComponentTmpl
{
    public function Show($attributes)
    {
        $args = array();
        $_7619e74fb7252ad8bb1e971cf69702f0 = new \HDProjectsList();
        $_7619e74fb7252ad8bb1e971cf69702f0->SetPermsChecking(HD_PERM_REPORTS);
        if ($_7619e74fb7252ad8bb1e971cf69702f0->GetCount() > 0) {
            $args[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_b6994edb19ee8e38970be4ca846e33" . "3a"]] = 1;
        }
        $template = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_d3b2122e727b24e3029add87aa54" . "1df6"];
        return $this->CallTemplater($template, $args);
    }
}